### Hierarchy

- EventTarget
- WindowTimers
- WindowSessionStorage
- WindowLocalStorage
- WindowConsole
- GlobalEventHandlers
- IDBEnvironment
- WindowBase64
- GlobalFetch
- WindowOrWorkerGlobalScope
- WindowEventHandlers
  - Window

## Index

### Properties

- Blob
- EventTarget
- URL
- URLSearchParams
- applicationCache
- caches
- clientInformation
- closed
- console
- crypto
- customElements
- defaultStatus
- devicePixelRatio
- doNotTrack
- document
- event
- external
- frameElement
- frames
- history
- indexedDB
- innerHeight
- innerWidth
- isSecureContext
- length
- localStorage
- location
- locationbar
- menubar
- msContentScript
- name
- navigator
- offscreenBuffering
- onabort
- onafterprint
- onanimationcancel
- onanimationend
- onanimationiteration
- onanimationstart
- onauxclick
- onbeforeprint
- onbeforeunload
- onblur
- oncancel
- oncanplay
- oncanplaythrough
- onchange
- onclick
- onclose
- oncompassneedscalibration
- oncontextmenu
- oncuechange
- ondblclick
- ondevicelight
- ondevicemotion
- ondeviceorientation
- ondrag
- ondragend
- ondragenter
- ondragexit
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- ongotpointercapture
- onhashchange
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onlanguagechange
- onload
- onloadeddata
- onloadedmetadata
- onloadend
- onloadstart
- onlostpointercapture
- onmessage
- onmessageerror
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onmousewheel
- onmsgesturechange
- onmsgesturedoubletap
- onmsgestureend
- onmsgesturehold
- onmsgesturestart
- onmsgesturetap
- onmsinertiastart
- onmspointercancel
- onmspointerdown
- onmspointerenter
- onmspointerleave
- onmspointermove
- onmspointerout
- onmspointerover
- onmspointerup
- onoffline
- ononline
- onorientationchange
- onpagehide
- onpageshow
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onpopstate
- onprogress
- onratechange
- onreadystatechange
- onrejectionhandled
- onreset
- onresize
- onscroll
- onsecuritypolicyviolation
- onseeked
- onseeking
- onselect
- onstalled
- onstorage
- onsubmit
- onsuspend
- ontimeupdate
- ontoggle
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- ontransitioncancel
- ontransitionend
- ontransitionrun
- ontransitionstart
- onunhandledrejection
- onunload
- onvolumechange
- onvrdisplayactivate
- onvrdisplayblur
- onvrdisplayconnect
- onvrdisplaydeactivate
- onvrdisplaydisconnect
- onvrdisplayfocus
- onvrdisplaypointerrestricted
- onvrdisplaypointerunrestricted
- onvrdisplaypresentchange
- onwaiting
- onwheel
- opener
- orientation
- origin
- outerHeight
- outerWidth
- pageXOffset
- pageYOffset
- parent
- performance
- personalbar
- screen
- screenLeft
- screenTop
- screenX
- screenY
- scrollX
- scrollY
- scrollbars
- self
- sessionStorage
- speechSynthesis
- status
- statusbar
- styleMedia
- toolbar
- top
- window

### Methods

- addEventListener
- alert
- atob
- blur
- btoa
- cancelAnimationFrame
- captureEvents
- clearInterval
- clearTimeout
- close
- confirm
- createImageBitmap
- departFocus
- dispatchEvent
- fetch
- focus
- getComputedStyle
- getMatchedCSSRules
- getSelection
- matchMedia
- moveBy
- moveTo
- msWriteProfilerMark
- open
- postMessage
- print
- prompt
- queueMicrotask
- releaseEvents
- removeEventListener
- requestAnimationFrame
- resizeBy
- resizeTo
- scroll
- scrollBy
- scrollTo
- setInterval
- setTimeout
- stop
- webkitCancelAnimationFrame
- webkitConvertPointFromNodeToPage
- webkitConvertPointFromPageToNode
- webkitRequestAnimationFrame

## Properties

### Blob

Blob: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16514

#### Type declaration

- ##### constructor: function

  - new __type(blobParts?: BlobPart[], options?: BlobPropertyBag): Blob
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2220

    #### Parameters

    - ##### Optional blobParts: BlobPart[]

    - ##### Optional options: BlobPropertyBag

    #### Returns Blob

- ##### prototype: Blob

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### URL

URL: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16515

#### Type declaration

- ##### constructor: function

  - new __type(url: string, base?: string | URL): URL
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15082

    #### Parameters

    - ##### url: string

    - ##### Optional base: string | URL

    #### Returns URL

- ##### prototype: URL

- ##### createObjectURL: function

  - createObjectURL(object: any): string
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15084

    #### Parameters

    - ##### object: any

    #### Returns string

- ##### revokeObjectURL: function

  - revokeObjectURL(url: string): void
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15085

    #### Parameters

    - ##### url: string

    #### Returns void

### URLSearchParams

URLSearchParams: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16516

#### Type declaration

- ##### constructor: function

  - new __type(init?: string[][] | Record<string, string> | string | URLSearchParams): URLSearchParams
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15121

    #### Parameters

    - ##### Optional init: string[][] | Record<string, string> | string | URLSearchParams

    #### Returns URLSearchParams

- ##### prototype: URLSearchParams

### applicationCache

applicationCache: ApplicationCache

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16517

### caches

caches: CacheStorage

Overrides WindowOrWorkerGlobalScope.caches

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16518

### clientInformation

clientInformation: Navigator

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16519

### closed

closed: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16520

### console

console: Console

Inherited from WindowConsole.console

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16655

### crypto

crypto: Crypto

Overrides WindowOrWorkerGlobalScope.crypto

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16521

### customElements

customElements: CustomElementRegistry

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16522

### defaultStatus

defaultStatus: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16523

### devicePixelRatio

devicePixelRatio: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16524

### doNotTrack

doNotTrack: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16525

### document

document: Document

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16526

### event

event: Event | undefined

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16527

### external

external: External

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16529

deprecated

### frameElement

frameElement: Element

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16530

### frames

frames: Window

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16531

### history

history: History

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16532

### indexedDB

indexedDB: IDBFactory

Inherited from IDBEnvironment.indexedDB

Overrides WindowOrWorkerGlobalScope.indexedDB

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8824

### innerHeight

innerHeight: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16533

### innerWidth

innerWidth: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16534

### isSecureContext

isSecureContext: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16535

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16536

### localStorage

localStorage: Storage

Inherited from WindowLocalStorage.localStorage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16701

### location

location: Location

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16537

### locationbar

locationbar: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16538

### menubar

menubar: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16539

### msContentScript

msContentScript: ExtensionScriptApis

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16540

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16541

### navigator

navigator: Navigator

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16542

### offscreenBuffering

offscreenBuffering: string | boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16543

### onabort

onabort: function | null

Inherited from GlobalEventHandlers.onabort

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5387

Fires when the user aborts the download.

param

  The event.

### onafterprint

onafterprint: function | null

Inherited from WindowEventHandlers.onafterprint

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16678

### onanimationcancel

onanimationcancel: function | null

Inherited from GlobalEventHandlers.onanimationcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5388

### onanimationend

onanimationend: function | null

Inherited from GlobalEventHandlers.onanimationend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5389

### onanimationiteration

onanimationiteration: function | null

Inherited from GlobalEventHandlers.onanimationiteration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5390

### onanimationstart

onanimationstart: function | null

Inherited from GlobalEventHandlers.onanimationstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5391

### onauxclick

onauxclick: function | null

Inherited from GlobalEventHandlers.onauxclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5392

### onbeforeprint

onbeforeprint: function | null

Inherited from WindowEventHandlers.onbeforeprint

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16679

### onbeforeunload

onbeforeunload: function | null

Inherited from WindowEventHandlers.onbeforeunload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16680

### onblur

onblur: function | null

Inherited from GlobalEventHandlers.onblur

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5397

Fires when the object loses the input focus.

param

  The focus event.

### oncancel

oncancel: function | null

Inherited from GlobalEventHandlers.oncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5398

### oncanplay

oncanplay: function | null

Inherited from GlobalEventHandlers.oncanplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5403

Occurs when playback is possible, but would require further buffering.

param

  The event.

### oncanplaythrough

oncanplaythrough: function | null

Inherited from GlobalEventHandlers.oncanplaythrough

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5404

### onchange

onchange: function | null

Inherited from GlobalEventHandlers.onchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5409

Fires when the contents of the object or selection have changed.

param

  The event.

### onclick

onclick: function | null

Inherited from GlobalEventHandlers.onclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5414

Fires when the user clicks the left mouse button on the object

param

  The mouse event.

### onclose

onclose: function | null

Inherited from GlobalEventHandlers.onclose

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5415

### oncompassneedscalibration

oncompassneedscalibration: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16544

### oncontextmenu

oncontextmenu: function | null

Inherited from GlobalEventHandlers.oncontextmenu

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5420

Fires when the user clicks the right mouse button in the client area, opening the context menu.

param

  The mouse event.

### oncuechange

oncuechange: function | null

Inherited from GlobalEventHandlers.oncuechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5421

### ondblclick

ondblclick: function | null

Inherited from GlobalEventHandlers.ondblclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5426

Fires when the user double-clicks the object.

param

  The mouse event.

### ondevicelight

ondevicelight: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16545

### ondevicemotion

ondevicemotion: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16546

### ondeviceorientation

ondeviceorientation: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16547

### ondrag

ondrag: function | null

Inherited from GlobalEventHandlers.ondrag

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5431

Fires on the source object continuously during a drag operation.

param

  The event.

### ondragend

ondragend: function | null

Inherited from GlobalEventHandlers.ondragend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5436

Fires on the source object when the user releases the mouse at the close of a drag operation.

param

  The event.

### ondragenter

ondragenter: function | null

Inherited from GlobalEventHandlers.ondragenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5441

Fires on the target element when the user drags the object to a valid drop target.

param

  The drag event.

### ondragexit

ondragexit: function | null

Inherited from GlobalEventHandlers.ondragexit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5442

### ondragleave

ondragleave: function | null

Inherited from GlobalEventHandlers.ondragleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5447

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

param

  The drag event.

### ondragover

ondragover: function | null

Inherited from GlobalEventHandlers.ondragover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5452

Fires on the target element continuously while the user drags the object over a valid drop target.

param

  The event.

### ondragstart

ondragstart: function | null

Inherited from GlobalEventHandlers.ondragstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5457

Fires on the source object when the user starts to drag a text selection or selected object.

param

  The event.

### ondrop

ondrop: function | null

Inherited from GlobalEventHandlers.ondrop

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5458

### ondurationchange

ondurationchange: function | null

Inherited from GlobalEventHandlers.ondurationchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5463

Occurs when the duration attribute is updated.

param

  The event.

### onemptied

onemptied: function | null

Inherited from GlobalEventHandlers.onemptied

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5468

Occurs when the media element is reset to its initial state.

param

  The event.

### onended

onended: function | null

Inherited from GlobalEventHandlers.onended

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5473

Occurs when the end of playback is reached.

param

  The event

### onerror

onerror: ErrorEventHandler

Inherited from GlobalEventHandlers.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5478

Fires when an error occurs during object loading.

param

  The event.

### onfocus

onfocus: function | null

Inherited from GlobalEventHandlers.onfocus

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5483

Fires when the object receives focus.

param

  The event.

### ongotpointercapture

ongotpointercapture: function | null

Inherited from GlobalEventHandlers.ongotpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5484

### onhashchange

onhashchange: function | null

Inherited from WindowEventHandlers.onhashchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16681

### oninput

oninput: function | null

Inherited from GlobalEventHandlers.oninput

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5485

### oninvalid

oninvalid: function | null

Inherited from GlobalEventHandlers.oninvalid

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5486

### onkeydown

onkeydown: function | null

Inherited from GlobalEventHandlers.onkeydown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5491

Fires when the user presses a key.

param

  The keyboard event

### onkeypress

onkeypress: function | null

Inherited from GlobalEventHandlers.onkeypress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5496

Fires when the user presses an alphanumeric key.

param

  The event.

### onkeyup

onkeyup: function | null

Inherited from GlobalEventHandlers.onkeyup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5501

Fires when the user releases a key.

param

  The keyboard event

### onlanguagechange

onlanguagechange: function | null

Inherited from WindowEventHandlers.onlanguagechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16682

### onload

onload: function | null

Inherited from GlobalEventHandlers.onload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5506

Fires immediately after the browser loads the object.

param

  The event.

### onloadeddata

onloadeddata: function | null

Inherited from GlobalEventHandlers.onloadeddata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5511

Occurs when media data is loaded at the current playback position.

param

  The event.

### onloadedmetadata

onloadedmetadata: function | null

Inherited from GlobalEventHandlers.onloadedmetadata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5516

Occurs when the duration and dimensions of the media have been determined.

param

  The event.

### onloadend

onloadend: function | null

Inherited from GlobalEventHandlers.onloadend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5517

### onloadstart

onloadstart: function | null

Inherited from GlobalEventHandlers.onloadstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5522

Occurs when Internet Explorer begins looking for media data.

param

  The event.

### onlostpointercapture

onlostpointercapture: function | null

Inherited from GlobalEventHandlers.onlostpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5523

### onmessage

onmessage: function | null

Inherited from WindowEventHandlers.onmessage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16683

### onmessageerror

onmessageerror: function | null

Inherited from WindowEventHandlers.onmessageerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16684

### onmousedown

onmousedown: function | null

Inherited from GlobalEventHandlers.onmousedown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5528

Fires when the user clicks the object with either mouse button.

param

  The mouse event.

### onmouseenter

onmouseenter: function | null

Inherited from GlobalEventHandlers.onmouseenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5529

### onmouseleave

onmouseleave: function | null

Inherited from GlobalEventHandlers.onmouseleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5530

### onmousemove

onmousemove: function | null

Inherited from GlobalEventHandlers.onmousemove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5535

Fires when the user moves the mouse over the object.

param

  The mouse event.

### onmouseout

onmouseout: function | null

Inherited from GlobalEventHandlers.onmouseout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5540

Fires when the user moves the mouse pointer outside the boundaries of the object.

param

  The mouse event.

### onmouseover

onmouseover: function | null

Inherited from GlobalEventHandlers.onmouseover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5545

Fires when the user moves the mouse pointer into the object.

param

  The mouse event.

### onmouseup

onmouseup: function | null

Inherited from GlobalEventHandlers.onmouseup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5550

Fires when the user releases a mouse button while the mouse is over the object.

param

  The mouse event.

### onmousewheel

onmousewheel: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16548

### onmsgesturechange

onmsgesturechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16549

### onmsgesturedoubletap

onmsgesturedoubletap: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16550

### onmsgestureend

onmsgestureend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16551

### onmsgesturehold

onmsgesturehold: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16552

### onmsgesturestart

onmsgesturestart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16553

### onmsgesturetap

onmsgesturetap: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16554

### onmsinertiastart

onmsinertiastart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16555

### onmspointercancel

onmspointercancel: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16556

### onmspointerdown

onmspointerdown: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16557

### onmspointerenter

onmspointerenter: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16558

### onmspointerleave

onmspointerleave: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16559

### onmspointermove

onmspointermove: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16560

### onmspointerout

onmspointerout: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16561

### onmspointerover

onmspointerover: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16562

### onmspointerup

onmspointerup: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16563

### onoffline

onoffline: function | null

Inherited from WindowEventHandlers.onoffline

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16685

### ononline

ononline: function | null

Inherited from WindowEventHandlers.ononline

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16686

### onorientationchange

onorientationchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16565

deprecated

### onpagehide

onpagehide: function | null

Inherited from WindowEventHandlers.onpagehide

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16687

### onpageshow

onpageshow: function | null

Inherited from WindowEventHandlers.onpageshow

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16688

### onpause

onpause: function | null

Inherited from GlobalEventHandlers.onpause

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5555

Occurs when playback is paused.

param

  The event.

### onplay

onplay: function | null

Inherited from GlobalEventHandlers.onplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5560

Occurs when the play method is requested.

param

  The event.

### onplaying

onplaying: function | null

Inherited from GlobalEventHandlers.onplaying

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5565

Occurs when the audio or video has started playing.

param

  The event.

### onpointercancel

onpointercancel: function | null

Inherited from GlobalEventHandlers.onpointercancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5566

### onpointerdown

onpointerdown: function | null

Inherited from GlobalEventHandlers.onpointerdown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5567

### onpointerenter

onpointerenter: function | null

Inherited from GlobalEventHandlers.onpointerenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5568

### onpointerleave

onpointerleave: function | null

Inherited from GlobalEventHandlers.onpointerleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5569

### onpointermove

onpointermove: function | null

Inherited from GlobalEventHandlers.onpointermove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5570

### onpointerout

onpointerout: function | null

Inherited from GlobalEventHandlers.onpointerout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5571

### onpointerover

onpointerover: function | null

Inherited from GlobalEventHandlers.onpointerover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5572

### onpointerup

onpointerup: function | null

Inherited from GlobalEventHandlers.onpointerup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5573

### onpopstate

onpopstate: function | null

Inherited from WindowEventHandlers.onpopstate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16689

### onprogress

onprogress: function | null

Inherited from GlobalEventHandlers.onprogress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5578

Occurs to indicate progress while downloading media data.

param

  The event.

### onratechange

onratechange: function | null

Inherited from GlobalEventHandlers.onratechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5583

Occurs when the playback rate is increased or decreased.

param

  The event.

### onreadystatechange

onreadystatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16566

### onrejectionhandled

onrejectionhandled: function | null

Inherited from WindowEventHandlers.onrejectionhandled

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16690

### onreset

onreset: function | null

Inherited from GlobalEventHandlers.onreset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5588

Fires when the user resets a form.

param

  The event.

### onresize

onresize: function | null

Inherited from GlobalEventHandlers.onresize

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5589

### onscroll

onscroll: function | null

Inherited from GlobalEventHandlers.onscroll

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5594

Fires when the user repositions the scroll box in the scroll bar on the object.

param

  The event.

### onsecuritypolicyviolation

onsecuritypolicyviolation: function | null

Inherited from GlobalEventHandlers.onsecuritypolicyviolation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5595

### onseeked

onseeked: function | null

Inherited from GlobalEventHandlers.onseeked

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5600

Occurs when the seek operation ends.

param

  The event.

### onseeking

onseeking: function | null

Inherited from GlobalEventHandlers.onseeking

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5605

Occurs when the current playback position is moved.

param

  The event.

### onselect

onselect: function | null

Inherited from GlobalEventHandlers.onselect

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5610

Fires when the current selection changes.

param

  The event.

### onstalled

onstalled: function | null

Inherited from GlobalEventHandlers.onstalled

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5615

Occurs when the download has stopped.

param

  The event.

### onstorage

onstorage: function | null

Inherited from WindowEventHandlers.onstorage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16691

### onsubmit

onsubmit: function | null

Inherited from GlobalEventHandlers.onsubmit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5616

### onsuspend

onsuspend: function | null

Inherited from GlobalEventHandlers.onsuspend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5621

Occurs if the load operation has been intentionally halted.

param

  The event.

### ontimeupdate

ontimeupdate: function | null

Inherited from GlobalEventHandlers.ontimeupdate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5626

Occurs to indicate the current playback position.

param

  The event.

### ontoggle

ontoggle: function | null

Inherited from GlobalEventHandlers.ontoggle

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5627

### ontouchcancel

ontouchcancel: function | null

Inherited from GlobalEventHandlers.ontouchcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5628

### ontouchend

ontouchend: function | null

Inherited from GlobalEventHandlers.ontouchend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5629

### ontouchmove

ontouchmove: function | null

Inherited from GlobalEventHandlers.ontouchmove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5630

### ontouchstart

ontouchstart: function | null

Inherited from GlobalEventHandlers.ontouchstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5631

### ontransitioncancel

ontransitioncancel: function | null

Inherited from GlobalEventHandlers.ontransitioncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5632

### ontransitionend

ontransitionend: function | null

Inherited from GlobalEventHandlers.ontransitionend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5633

### ontransitionrun

ontransitionrun: function | null

Inherited from GlobalEventHandlers.ontransitionrun

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5634

### ontransitionstart

ontransitionstart: function | null

Inherited from GlobalEventHandlers.ontransitionstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5635

### onunhandledrejection

onunhandledrejection: function | null

Inherited from WindowEventHandlers.onunhandledrejection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16692

### onunload

onunload: function | null

Inherited from WindowEventHandlers.onunload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16693

### onvolumechange

onvolumechange: function | null

Inherited from GlobalEventHandlers.onvolumechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5640

Occurs when the volume is changed, or playback is muted or unmuted.

param

  The event.

### onvrdisplayactivate

onvrdisplayactivate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16567

### onvrdisplayblur

onvrdisplayblur: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16568

### onvrdisplayconnect

onvrdisplayconnect: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16569

### onvrdisplaydeactivate

onvrdisplaydeactivate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16570

### onvrdisplaydisconnect

onvrdisplaydisconnect: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16571

### onvrdisplayfocus

onvrdisplayfocus: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16572

### onvrdisplaypointerrestricted

onvrdisplaypointerrestricted: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16573

### onvrdisplaypointerunrestricted

onvrdisplaypointerunrestricted: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16574

### onvrdisplaypresentchange

onvrdisplaypresentchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16575

### onwaiting

onwaiting: function | null

Inherited from GlobalEventHandlers.onwaiting

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5645

Occurs when playback stops because the next frame of a video resource is not available.

param

  The event.

### onwheel

onwheel: function | null

Inherited from GlobalEventHandlers.onwheel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5646

### opener

opener: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16576

### orientation

orientation: string | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16578

deprecated

### origin

origin: string

Inherited from WindowOrWorkerGlobalScope.origin

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16708

### outerHeight

outerHeight: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16579

### outerWidth

outerWidth: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16580

### pageXOffset

pageXOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16581

### pageYOffset

pageYOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16582

### parent

parent: Window

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16583

### performance

performance: Performance

Overrides WindowOrWorkerGlobalScope.performance

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16584

### personalbar

personalbar: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16585

### screen

screen: Screen

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16586

### screenLeft

screenLeft: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16587

### screenTop

screenTop: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16588

### screenX

screenX: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16589

### screenY

screenY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16590

### scrollX

scrollX: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16591

### scrollY

scrollY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16592

### scrollbars

scrollbars: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16593

### self

self: Window

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16594

### sessionStorage

sessionStorage: Storage

Inherited from WindowSessionStorage.sessionStorage

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16723

### speechSynthesis

speechSynthesis: SpeechSynthesis

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16595

### status

status: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16596

### statusbar

statusbar: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16597

### styleMedia

styleMedia: StyleMedia

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16598

### toolbar

toolbar: BarProp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16599

### top

top: Window

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16600

### window

window: Window

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16601

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16638

  #### Type parameters

  - #### K: keyof WindowEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Window, ev: WindowEventMap[K]): any

      - #### Parameters

        - ##### this: Window

        - ##### ev: WindowEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16639

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### alert

- alert(message?: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16602

  #### Parameters

  - ##### Optional message: any

  #### Returns void

### atob

- atob(encodedString: string): string

- Inherited from WindowBase64.atob

  Overrides WindowOrWorkerGlobalScope.atob

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16650

  #### Parameters

  - ##### encodedString: string

  #### Returns string

### blur

- blur(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16603

  #### Returns void

### btoa

- btoa(rawString: string): string

- Inherited from WindowBase64.btoa

  Overrides WindowOrWorkerGlobalScope.btoa

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16651

  #### Parameters

  - ##### rawString: string

  #### Returns string

### cancelAnimationFrame

- cancelAnimationFrame(handle: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16604

  #### Parameters

  - ##### handle: number

  #### Returns void

### captureEvents

- captureEvents(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16606
  deprecated

  #### Returns void

### clearInterval

- clearInterval(handle?: undefined | number): void

- Inherited from WindowOrWorkerGlobalScope.clearInterval

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16712

  #### Parameters

  - ##### Optional handle: undefined | number

  #### Returns void

### clearTimeout

- clearTimeout(handle?: undefined | number): void

- Inherited from WindowOrWorkerGlobalScope.clearTimeout

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16713

  #### Parameters

  - ##### Optional handle: undefined | number

  #### Returns void

### close

- close(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16607

  #### Returns void

### confirm

- confirm(message?: undefined | string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16608

  #### Parameters

  - ##### Optional message: undefined | string

  #### Returns boolean

### createImageBitmap

- createImageBitmap(image: ImageBitmapSource): Promise<ImageBitmap>
- createImageBitmap(image: ImageBitmapSource, sx: number, sy: number, sw: number, sh: number): Promise<ImageBitmap>

- Inherited from WindowOrWorkerGlobalScope.createImageBitmap

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16714

  #### Parameters

  - ##### image: ImageBitmapSource

  #### Returns Promise<ImageBitmap>

- Inherited from WindowOrWorkerGlobalScope.createImageBitmap

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16715

  #### Parameters

  - ##### image: ImageBitmapSource

  - ##### sx: number

  - ##### sy: number

  - ##### sw: number

  - ##### sh: number

  #### Returns Promise<ImageBitmap>

### departFocus

- departFocus(navigationReason: NavigationReason, origin: FocusNavigationOrigin): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16609

  #### Parameters

  - ##### navigationReason: NavigationReason

  - ##### origin: FocusNavigationOrigin

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### fetch

- fetch(input: RequestInfo, init?: RequestInit): Promise<Response>

- Inherited from GlobalFetch.fetch

  Overrides WindowOrWorkerGlobalScope.fetch

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5654

  #### Parameters

  - ##### input: RequestInfo

  - ##### Optional init: RequestInit

  #### Returns Promise<Response>

### focus

- focus(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16610

  #### Returns void

### getComputedStyle

- getComputedStyle(elt: Element, pseudoElt?: string | null): CSSStyleDeclaration

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16611

  #### Parameters

  - ##### elt: Element

  - ##### Optional pseudoElt: string | null

  #### Returns CSSStyleDeclaration

### getMatchedCSSRules

- getMatchedCSSRules(elt: Element, pseudoElt?: string | null): CSSRuleList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16612

  #### Parameters

  - ##### elt: Element

  - ##### Optional pseudoElt: string | null

  #### Returns CSSRuleList

### getSelection

- getSelection(): Selection

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16613

  #### Returns Selection

### matchMedia

- matchMedia(query: string): MediaQueryList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16614

  #### Parameters

  - ##### query: string

  #### Returns MediaQueryList

### moveBy

- moveBy(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16615

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### moveTo

- moveTo(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16616

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### msWriteProfilerMark

- msWriteProfilerMark(profilerMarkName: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16617

  #### Parameters

  - ##### profilerMarkName: string

  #### Returns void

### open

- open(url?: undefined | string, target?: undefined | string, features?: undefined | string, replace?: undefined | false | true): Window | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16618

  #### Parameters

  - ##### Optional url: undefined | string

  - ##### Optional target: undefined | string

  - ##### Optional features: undefined | string

  - ##### Optional replace: undefined | false | true

  #### Returns Window | null

### postMessage

- postMessage(message: any, targetOrigin: string, transfer?: Transferable[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16619

  #### Parameters

  - ##### message: any

  - ##### targetOrigin: string

  - ##### Optional transfer: Transferable[]

  #### Returns void

### print

- print(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16620

  #### Returns void

### prompt

- prompt(message?: undefined | string, _default?: undefined | string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16621

  #### Parameters

  - ##### Optional message: undefined | string

  - ##### Optional _default: undefined | string

  #### Returns string | null

### queueMicrotask

- queueMicrotask(callback: Function): void

- Inherited from WindowOrWorkerGlobalScope.queueMicrotask

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16717

  #### Parameters

  - ##### callback: Function

  #### Returns void

### releaseEvents

- releaseEvents(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16623
  deprecated

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16640

  #### Type parameters

  - #### K: keyof WindowEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Window, ev: WindowEventMap[K]): any

      - #### Parameters

        - ##### this: Window

        - ##### ev: WindowEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16641

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### requestAnimationFrame

- requestAnimationFrame(callback: FrameRequestCallback): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16624

  #### Parameters

  - ##### callback: FrameRequestCallback

  #### Returns number

### resizeBy

- resizeBy(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16625

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### resizeTo

- resizeTo(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16626

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16627

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16628

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16629

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16630

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16631

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16632

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### setInterval

- setInterval(handler: TimerHandler, timeout?: undefined | number, ...arguments: any[]): number

- Inherited from WindowOrWorkerGlobalScope.setInterval

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16718

  #### Parameters

  - ##### handler: TimerHandler

  - ##### Optional timeout: undefined | number

  - ##### Rest ...arguments: any[]

  #### Returns number

### setTimeout

- setTimeout(handler: TimerHandler, timeout?: undefined | number, ...arguments: any[]): number

- Inherited from WindowOrWorkerGlobalScope.setTimeout

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16719

  #### Parameters

  - ##### handler: TimerHandler

  - ##### Optional timeout: undefined | number

  - ##### Rest ...arguments: any[]

  #### Returns number

### stop

- stop(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16633

  #### Returns void

### webkitCancelAnimationFrame

- webkitCancelAnimationFrame(handle: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16634

  #### Parameters

  - ##### handle: number

  #### Returns void

### webkitConvertPointFromNodeToPage

- webkitConvertPointFromNodeToPage(node: Node, pt: WebKitPoint): WebKitPoint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16635

  #### Parameters

  - ##### node: Node

  - ##### pt: WebKitPoint

  #### Returns WebKitPoint

### webkitConvertPointFromPageToNode

- webkitConvertPointFromPageToNode(node: Node, pt: WebKitPoint): WebKitPoint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16636

  #### Parameters

  - ##### node: Node

  - ##### pt: WebKitPoint

  #### Returns WebKitPoint

### webkitRequestAnimationFrame

- webkitRequestAnimationFrame(callback: FrameRequestCallback): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16637

  #### Parameters

  - ##### callback: FrameRequestCallback

  #### Returns number

Generated using TypeDoc